Hi Pieter,

Glad to hear from your other email that your were able to solve the
problem.

But just to avoid confusion for the record:

Pieter de Zwart <pdezwart at rubiconproject.com> writes:
So, I am a mercurial n00b. IS there any chance you can point me to two URLs,
one for the rabbitmq-c repo, one for the rabbitmq-codegen repo, that I can
use to generate an 0-8 client library, so that I can then upgrade to 2.3.1.
The combination of:
// librabbitmq-0.1-amqp_0_8 tag
$ hg clone http://hg.rabbitmq.com/rabbitmq-c/rev/ce1eaceaee94
// rabbitmq_v1_7_2
$ hg clone http://hg.rabbitmq.com/rabbitmq-codegen/rev/c7c5876a05bb

Yields what seems to be a 0-9-1 client, since I used the steps below to try
to compile it, and had to move the 0-9-1 json spec out of the way.
There's no "out of the box" way to get the current librabbitmq with 0-8
support.

You can build the last version of librabbitmq that supported 0-8 by
doing:

$ hg clone http://hg.rabbitmq.com/rabbitmq-c/
$ hg clone http://hg.rabbitmq.com/rabbitmq-codegen/
$ cd rabbitmq-c
$ hg update -C amqp_0_8
$ autoreconf -i && ./configure && make

But you will find that there are small API differences between that and
the current librabbitmq.

As I suggested in my previous email, refitting the current librabbitmq
with 0-8 support looks reasonably straightforward, but it would involve
rolling your sleeves up and editing the code.

David

--
David Wragg
Staff Engineer, RabbitMQ
SpringSource, a division of VMware

Search Discussions

Discussion Posts

Previous

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 5 of 5 | next ›
Discussion Overview
grouprabbitmq-discuss @
categoriesrabbitmq
postedFeb 28, '11 at 9:15p
activeMar 2, '11 at 5:09p
posts5
users2
websiterabbitmq.com
irc#rabbitmq

2 users in discussion

Pieter de Zwart: 3 posts David Wragg: 2 posts

People

Translate

site design / logo © 2022 Grokbase